Subject: Re: bug#18340: 24.4.50; Bad UI for `find-file-literally'

From: Stefan Kangas <[email-masked]>
Date: Sun, 10 Oct 2021 15:30:56 -0700

tags 18340 + moreinfo
thanks

Drew Adams <[email-masked]> writes:

> Summary: Don't show a multi-line message for prompting `y-or-n-p'
> in the echo area and expect users to see it.
>
> The UI for `find-file-literally' depends on `resize-mini-windows' being
> non-nil.  Not a good idea.  To see how bad it can be, set
> `resize-mini-windows' to nil, then visit a file, then try to visit it
> using `M-x find-file-literally'.  You see only this line in the echo
> area, which is not even a question:
>
>   The file foo.el is already visited normally.
>
> Huh?  A user who sees that has no clue as to what is going on.

Eli Zaretskii <[email-masked]> writes:

> Please show a recipe, as I didn't understand the problem.

I also don't understand the problem.  I tried doing the above steps with
(setq resize-mini-windows nil) and I don't see anything that is
different from when it is t.

Could we have a recipe to reproduce this issue?